# Test environment for OSM testing

## OSM installation

All the procedures below, require starting from a **clean** Ubuntu 20.04 server image. The minimum requirements for the VM are 4 vCPU, 8 GB memory, 60GB disk.

Although there is a known procedure for cleaning an Ubuntu VM with an old OSM installation, it is **highly discouraged reusing a dirty VM** for community testing, since it might disguise potential issues with newer versions. Instead, please start from a clean Ubuntu image whenever you are testing a new version.

### Latest stable release

This is the recommended installation procedure for general OSM users.

For a step-by-step procedure, please refer to this chapter of the [User Guide](https://osm.etsi.org/docs/user-guide/03-installing-osm.html) to build the latest stable release.

### New release candidate

New release candidates can be tested using the installer with the following options (e.g. RC1 for Rel ELEVEN):

```bash
DOCKER_TAG=14.0.0rc1
REPO_BASE=14.0.0rc1
REPO_NAME=testing
wget http://osm-download.etsi.org/ftp/osm-14.0-fourteen/install_osm.sh
chmod +x ./install_osm.sh
./install_osm.sh -t ${DOCKER_TAG} -r ${REPO_NAME} -R ${REPO_BASE} -y
```

### Daily builds

Daily builds of branches ELEVEN, TEN, NINE and master can be installed by using the appropriate installer options.

These builds include the latest community contributions and may contain bugs. Therefore they are only recommended for developers and contributors involved in community testing.

#### LTS Releases

##### Release FOURTEEN daily

```bash
wget http://osm-download.etsi.org/ftp/osm-14.0-fourteen/install_osm.sh
chmod +x install_osm.sh
./install_osm.sh -R ReleaseFOURTEEN-daily -t releasefourteen-daily -r testing -y
```

##### Release TWELVE daily

```bash
wget http://osm-download.etsi.org/ftp/osm-12.0-twelve/install_osm.sh
chmod +x install_osm.sh
./install_osm.sh -R ReleaseTWELVE-daily -t releasetwelve-daily -r testing -y
```

##### Release TEN daily

```bash
wget http://osm-download.etsi.org/ftp/osm-10.0-ten/install_osm.sh
chmod +x install_osm.sh
./install_osm.sh -R ReleaseTEN-daily -t releaseten-daily -r testing -y
```
#### Short Term Releases

##### `master` branch daily

```bash
wget https://osm.etsi.org/gitlab/osm/devops/-/raw/master/installers/install_osm.sh
chmod +x install_osm.sh
./install_osm.sh -R testing-daily -t testing-daily -r testing -y
```

##### Release THIRTEEN daily

```bash
wget http://osm-download.etsi.org/ftp/osm-13.0-thirteen/install_osm.sh
chmod +x install_osm.sh
./install_osm.sh -R ReleaseTHIRTEEN-daily -t releasethirteen-daily -r testing -y
```
